#
# ~/.bash_profile
#

[[ -f ~/.extend.bash_profile ]] && . ~/.extend.bash_profile
[[ -f ~/.bashrc ]] && . ~/.bashrc

export VISUAL=vim
export EDITOR=vim
export PAGER=less
export PATH=~/.local/bin:$PATH

export HASTE_SERVER="https://haste.breizh.pm"
export MPD_HOST="$HOME/.mpd/socket"
export KRESUS_PYTHON_EXEC=python
export MAGICK_TMPDIR="$HOME/.cache/ImageMagick/"
export HIGHLIGHT_STYLE="base16/eighties"

eval $(ssh-agent -s)

if [ -z "$DISPLAY" ] && [ -n "$XDG_VTNR" ] && [ "$XDG_VTNR" -eq 1 ]; then
	export XDG_CURRENT_DESKTOP=i3
	export GTK2_RC_FILES="$HOME/.gtkrc-2.0"
	export QT_QPA_PLATFORMTHEME=qt5ct
	export BROWSER="systemd-run --user --scope -p MemoryLimit=2G firefox"
	export TERMINAL=urxvtc
	export DMENU_OPTIONS="-nb #2d2d2d -nf #747369 -sb #6699cc -sf #2d2d2d"
	startx
	logout
elif [ "$XDG_VTNR" -ne 6 ]; then
	export BROWSER=elinks
	fish
	logout
fi
